import request from '@/utils/request'

// 查询设计管理列表
export function listProjectDesign(query) {
  return request({
    url: '/project/projectDesign/list',
    method: 'get',
    params: query
  })
}

// 查询设计管理详细
export function getProjectDesign(id) {
  return request({
    url: '/project/projectDesign/' + id,
    method: 'get'
  })
}

// 新增设计管理
export function addProjectDesign(data) {
  return request({
    url: '/project/projectDesign',
    method: 'post',
    data: data
  })
}

// 修改设计管理
export function updateProjectDesign(data) {
  return request({
    url: '/project/projectDesign',
    method: 'put',
    data: data
  })
}

// 删除设计管理
export function delProjectDesign(id) {
  return request({
    url: '/project/projectDesign/' + id,
    method: 'delete'
  })
}

export function listByProject(query){
  return request({
    url: '/project/projectDesign/listByProject',
    method: 'get',
    params: query
  })
}

export function updateList(data){
  return request({
    url: '/project/projectDesign/updateList',
    method: 'post',
    data: data
  })
}

